About
Retrieve all details of your online logins with any one of the following requests. Online logins represent users who can access the Fone Dynamics portal.
Resource URI
Complete details about your online logins are requested with any one of the following calls. Requests are either for a single online login or a list of online logins associated with your account. Default number of results returned from a single request is 50.
GET
/v2/OnlineLogins
or
/v2/OnlineLogins/[OnlineLoginSid]
Request
URI Parameters
| Parameter | Type | Description |
|---|---|---|
| OnlineLoginSid | string (UUID) | Retrieve the details of this single online login. |
Optional Include Parameters
These resource parameters are to filter or paginate the list of online logins.
| Parameter | Type | Description |
|---|---|---|
| Results_Count (Optional) | integer | Specify the number of results to return. Default number of results is 50. |
| Results_Skip (Optional) | integer | Specify a number of records to skip before starting results. This enables custom pagination. |
Response
200 – OK
Our service will respond to every online login details request with JSON formatted data. Requests for online login details will respond with an object containing a list of online logins along with pagination metadata.
Response Parameters
| Parameter | Type | Description |
|---|---|---|
| OnlineLogins | array | A list of objects containing the details of each online login. |
| TotalCount | integer | The total number of online logins available that match the request. |
| NextPageToken | string | A token that can be supplied in a subsequent request to retrieve the next page of results. |
OnlineLogin Object Parameters
| Parameter | Type | Description |
|---|---|---|
| OnlineLoginSid | string (UUID) | The unique identifier for the online login. |
| string | The email address associated with the online login. | |
| Enabled | boolean | Whether the online login is currently active and allowed to log in. |
| Created (Unix timestamp) |
integer | The timestamp of when the online login was created. |
| FirstName | string | The first name of the user. |
| LastName | string | The last name of the user. |
| Permissions | array | A list of permission objects associated with this login. |
Permission Object Parameters
| Parameter | Type | Description |
|---|---|---|
| AccountSid | string | The account SID associated with this permission. |
| PropertySid | string | The property SID associated with this permission. |
| Scopes | string | Comma-separated list of scopes. For example: Manage, Reporting, Integrations. |
Example: An example response.
{
"OnlineLogins": [
{
"OnlineLoginSid": "4a7b7a6e-4b7d-4e9e-8a7e-1234567890ab",
"Email": "[email protected]",
"Enabled": true,
"Created": 1692931200,
"FirstName": "John",
"LastName": "Doe",
"Permissions": [
{
"AccountSid": "AG5T3HFR5ASD54FS5GB3SDAFJAKSH6DS",
"Scopes": "Manage,Reporting"
}
]
}
],
"TotalCount": 10,
"NextPageToken": "2"
}
400 - Error
For error codes and messages, please refer to the REST API Error Codes page.